Skip to main content
POST
/
work_assignments
/
bulk
/
create
Bulk create work assignments
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/work_assignments/bulk/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "pay_schedule_id": "<id>"
  },
  "payees": {
    "include": {
      "ids": [
        "<id>"
      ]
    }
  }
}
'
import requests

url = "https://sandbox.nmbr.co/services/payroll/work_assignments/bulk/create"

payload = {
"data": { "pay_schedule_id": "<id>" },
"payees": { "include": { "ids": ["<id>"] } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {pay_schedule_id: '<id>'}, payees: {include: {ids: ['<id>']}}})
};

fetch('https://sandbox.nmbr.co/services/payroll/work_assignments/bulk/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
payees
object
required

The payee selection criteria.

payees.include must be either the string "all", or an object containing one or more of ids (string array of employee/contractor ids), payee_type (employee or contractor), payee_names (string), archived (boolean).

payees.exclude (optional) is an object containing one or more of the same keys.

Must be present when payees.include.payee_type, payees.include.payee_names and payees.include.archived is either empty or not set.

Must be present when payees.include.ids, payees.include.payee_names and payees.include.archived is either empty or not set.

Must be present when payees.include.ids, payees.include.payee_type and payees.include.archived is either empty or not set.

Must be present when payees.include.ids, payees.include.payee_type and payees.include.payee_names is either empty or not set.

data
object

The properties for each new work assignment, including the required pay_schedule_id. Accepts the same fields as creating a single work assignment.

Response

202

Accepted